For the complete documentation index, see llms.txt. This page is also available as Markdown.

Unit Type Ratio

Manage unit type ratios and convert values between units with the VARIO Cloud REST API, including creation, updates, deletion, and conversion.

the UnitTypeRatio API

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

factornumber · doubleRequired

Faktor

get/cmn/unit-type-ratio/{id}
GET /cmn/unit-type-ratio/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "baseUnitTypeRef": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "relationUnitTypeRef": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "factor": 1
}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

factornumber · doubleRequired

Faktor

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

factornumber · doubleRequired

Faktor

put/cmn/unit-type-ratio/{id}
PUT /cmn/unit-type-ratio/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 181

{
  "version": "text",
  "info": {},
  "id": "text",
  "baseUnitTypeRef": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "relationUnitTypeRef": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "factor": 1
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "baseUnitTypeRef": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "relationUnitTypeRef": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "factor": 1
}

Delete an existing Resource

delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/cmn/unit-type-ratio/{id}
DELETE /cmn/unit-type-ratio/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}

Create new Resource

post
Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

factornumber · doubleRequired

Faktor

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

factornumber · doubleRequired

Faktor

post/cmn/unit-type-ratio
POST /cmn/unit-type-ratio HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 181

{
  "version": "text",
  "info": {},
  "id": "text",
  "baseUnitTypeRef": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "relationUnitTypeRef": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "factor": 1
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "baseUnitTypeRef": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "relationUnitTypeRef": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "factor": 1
}
post
Bodyobject · common-masterdata-UnitTypeConversion[]
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

valuenumberRequired

Wert, welcher umgerechnet werden soll

sourceTypeAbbreviationstring · min: 1Required

Abkürzung der gegebenen Einheit

targetTypeAbbreviationstring · min: 1Required

Abkürzung der Zieleinheit

resultnumberRead-onlyOptional

Ergebnis der Berechnung

Responses
200

OK

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

valuenumberRequired

Wert, welcher umgerechnet werden soll

sourceTypeAbbreviationstring · min: 1Required

Abkürzung der gegebenen Einheit

targetTypeAbbreviationstring · min: 1Required

Abkürzung der Zieleinheit

resultnumberRead-onlyOptional

Ergebnis der Berechnung

post/cmn/unit-type-ratio/convert
POST /cmn/unit-type-ratio/convert HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 2

[]
200

OK

[]
get
Path parameters
sourceTypeAbbreviationstringRequired
targetTypeAbbreviationstringRequired
Query parameters
valuenumberRequired
Responses
200

OK

application/json
numberOptional
get/cmn/unit-type-ratio/convert/from/{sourceTypeAbbreviation}/to/{targetTypeAbbreviation}
GET /cmn/unit-type-ratio/convert/from/{sourceTypeAbbreviation}/to/{targetTypeAbbreviation}?value=1 HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

1

Last updated

Was this helpful?